# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-longerusername
%global modname longerusername

%global longhash e4e85d7d29b2ba4fdd7937aa76c02e0098516406
%global shorthash e4e85d7d
%global gitdate 20130204

Name:               python-module-django-longerusername
Version:            0.4
Release:            alt1_2.%{gitdate}git%{shorthash}
Summary:            Make django auth.user username field longer
Group:              Development/Python
License:            BSD
URL:                https://github.com/GoodCloud/django-longer-username

# We *would* use pypi as the URL and Source values, but upstream doesn't ship
# all the information we need there, see
# https://github.com/GoodCloud/django-longer-username/pull/16

# Source acquired from
# https://github.com/GoodCloud/django-longer-username/archive/%{longhash}.tar.gz
Source0:            django-longer-username-%{longhash}.tar.gz

BuildArch:          noarch

BuildRequires:      python-devel
BuildRequires:      python-module-setuptools

%if 0%{?rhel}
%else
%endif
Source44: import.info

%description
django-longerusername provides a migration and a monkeypatch to make
the django auth.user username field longer, instead of the arbitrarily
short 30 characters.

It's designed to be a simple include-and-forget project that makes a
little headache go away.

%prep
%setup -q -n django-longer-username-%{longhash}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc README.md LICENSE
%{python_sitelibdir_noarch}/%{modname}/
%{python_sitelibdir_noarch}/%{modname}-%{version}*

%changelog
* Thu May 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_2.20130204gite4e85d7d
- initial fc import

